// JavaScript Document
// TLC Joomla Menu and Mobile Toggle 1.1
// This script is designed for use with Joomla 3.x and provides a framework for collapsable or hidden submenus using the out of the box menu module. The classes below should only be changed in your CSS needs to use different names. 
// HOW TO USE THIS SCRIPT:
// 1. Attach as part of a Joomla template
// 2. Style .nav-child as desired to create the subnav box. for horizontal menus, set .nav-child to position:absolute; and .parent to position:relative;
//    Be sure that .nav-child also contains CSS that hides the submenu by default.
// 3. Style .show to override any .nav-child code that hides the submenu.
// 4. The menu should function automatically from here.
//
// This script includes a toggle for a mobile nav hamburger button. 
// $mNav should match where your main menu is located and should have the following markup above it:
//
// <div class="icon menuMobile"><a onclick="" id="navButton">☰</a></div>
//
// You must include this markup for the button to appear and function!

$(document).ready(function(){
	// DO NOT EDIT THESE VARIABLES, THEY ARE DEFAULT SETTINGS:
	var $navClass = '.menu, .nav'; // this is the class Joomla gives the menu UL
	var $navLoc = '.menu > li a, .nav > li a'; // this is the location of anchor clicked 
	var $par = '.parent';    // this is the class Joomla gives the parent nav item
	var $child = '.nav-child'; // this is the class Joomla gives the child nav item, should be styled as the submenu closed position
	var $active = 'active';    // this is the class Joomla gives the current active nav item 
	var $navButton = '.menuMobile'; // This is the location of the hamburger menu icon.
	var $open = 'menuOpen'; // This is the class we are adding and removing from the mobile nav menu to show and hide it when the hamburger is clicked.
	
	// THESE VALUES MAY BE CHANGED BY THE USER:
	var $mNav = '.navContainer .menu'; // This is the location of the nav menu we are opening and closing with the hamburger. Set this to match your markup.
	var $show = 'show';	 // this is the class that we will toggle to show the submenu
	var delay;
	var delayTime = 1000; //this is the time in milliseconds before a submenu closes automatically after the mouse leaves it or the parent menu item


	$($navButton).click(function(e) { // if the nav button hamburger is clicked, it toggles the active class and mobile nav menu visiblity
		$(this).toggleClass($active);
		$('body').toggleClass($open);
	});
	$($navLoc).click(function(e) { // close the mobile nav menu when you click a link that is not a submenu parent
		if ($(this).closest('li').is($par)){
			return true;
		}
		else {
			$($navButton).removeClass($active);
			$('body').removeClass($open);
		}
	});
	$('body').on('click.closeMenu', function(e) { //close the submenu and open mobile nav if you click anywhere outside of the menu
		if ($('body').hasClass($open)) {
		  	if ($(e.target).closest('li').is($par)) {
				return true;
			}
			if (!$(e.target).parent().hasClass($active)) {
				$($par).removeClass($active);
				$($child).removeClass($show);
				$('body').removeClass($open);
				$($navButton).removeClass($active);
		  
			}
		}
	});	
	// Full screen box open and close.
	$(".boxOpen-btn").click(function () {
        var boxTarget = $(this).attr("href");
		$(boxTarget).addClass('boxOpen');
	   	$('body').addClass('noScroll');
    });
    $(".boxClose-btn").click(function () {
		var boxTarget = $(this).attr("href");
		$(boxTarget).removeClass('boxOpen');
		$('body').removeClass('noScroll');
    });
});